1.2

1.2

get /v1/accounts/{account_id}/users

Description

List IAM users

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
pathaccount_id
required
Account ID
Example :
stringNone
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
querylogin_id
optional
Login ID
Example :
any of [string, null]None
queryemail
optional
사용자 Email
Example :
any of [string, null]None
querynation_id
optional
국가 ID
Example :
any of [string, null]None
queryphone_number
optional
사용자 휴대 전화 번호
Example :
any of [string, null]None
queryuser_name
optional
사용자 이름
Example :
any of [string, null]None
queryexclude_group_id
optional
예외 대상 그룹
Example :
any of [string, null]None
queryexclude_policy_id
optional
예외 대상 정책
Example :
any of [string, null]None
querytype
optional
User Type
Example :
any of [string, null]None

Responses

HTTP CodeDescriptionSchema
200OKListIAMUserResponse
400Bad RequestNone
401UnauthorizedNone
403ForbiddenNone
404Not FoundNone

Example HTTP request

Request path

/v1/accounts/{account_id}/users

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = iam 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "size": 20,
    "sort": [
        "created_at:asc"
    ],
    "users": [
        {
            "account_id": "",
            "company_name": "",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "",
            "dst_offset": "",
            "email": "",
            "email_authenticated": "",
            "first_name": "",
            "groups": [
                ""
            ],
            "id": "",
            "last_login_at": "",
            "last_name": "",
            "last_password_update_at": "",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "name": "",
            "password_reuse_count": "",
            "phone_authenticated": "",
            "policies": [],
            "state": "",
            "timezone": "",
            "type": "",
            "tz_id": "",
            "user_name": "",
            "utc_offset": ""
        }
    ]
}